import { OutputBundle } from 'rollup';
export declare type WebpackStatsFilteredAsset = {
    name: string;
    size?: number;
};
export interface WebpackStatsFilteredChunk {
    id: number | string;
    entry: boolean;
    initial: boolean;
    files?: Array<string>;
    names?: Array<string>;
}
export interface WebpackStatsFilteredModule {
    name: string;
    size?: number;
    chunks: Array<string | number>;
}
export interface WebpackStatsFilteredConcatenatedModule {
    name: string;
    size?: number;
}
export interface WebpackStatsFilteredRootModule extends WebpackStatsFilteredModule {
    modules?: Array<WebpackStatsFilteredConcatenatedModule>;
}
export interface WebpackStatsFiltered {
    builtAt?: number;
    hash?: string;
    assets?: Array<WebpackStatsFilteredAsset>;
    chunks?: Array<WebpackStatsFilteredChunk>;
    modules?: Array<WebpackStatsFilteredRootModule>;
}
export declare const bundleToWebpackStats: (bundle: OutputBundle) => WebpackStatsFiltered;
